Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.opengl.util.gl2
Class GLUT

    java.lang.Object
      com.sun.opengl.util.gl2.GLUT

    public class GLUT

extends Object

Subset of the routines provided by the GLUT interface. Note the signatures of many of the methods are necessarily different than the corresponding C version. A GLUT object must only be used from one particular thread at a time.

Copyright (c) Mark J. Kilgard, 1994, 1997.

(c) Copyright 1993, Silicon Graphics, Inc.

ALL RIGHTS RESERVED

Permission to use, copy, modify, and distribute this software for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both the copyright notice and this permission notice appear in supporting documentation, and that the name of Silicon Graphics, Inc. not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission.

THE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL SILICON GRAPHICS, INC. BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT, SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES WHATSOEVER, INCLUDING WITHOUT LIMITATION, LOSS OF PROFIT, LOSS OF USE, SAVINGS OR REVENUE, OR THE CLAIMS OF THIRD PARTIES, WHETHER OR NOT SILICON GRAPHICS, INC. HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE POSSESSION, USE OR PERFORMANCE OF THIS SOFTWARE.

US Government Users Restricted Rights

Use, duplication, or disclosure by the Government is subject to restrictions set forth in FAR 52.227.19(c)(2) or subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 and/or in similar or successor clauses in the FAR or the DOD or NASA FAR Supplement. Unpublished-- rights reserved under the copyright laws of the United States. Contractor/manufacturer is Silicon Graphics, Inc., 2011 N. Shoreline Blvd., Mountain View, CA 94039-7311.

OpenGL(TM) is a trademark of Silicon Graphics, Inc.

Field Summary
`static int` | `BITMAP_8_BY_13`
`static int` | `BITMAP_9_BY_15`
`static int` | `BITMAP_HELVETICA_10`
`static int` | `BITMAP_HELVETICA_12`
`static int` | `BITMAP_HELVETICA_18`
`static int` | `BITMAP_TIMES_ROMAN_10`
`static int` | `BITMAP_TIMES_ROMAN_24`
`static int` | `STROKE_MONO_ROMAN`
`static int` | `STROKE_ROMAN`

Constructor Summary
`GLUT()`

Method Summary
`void` | `glutBitmapCharacter(int font, char character)`
`int` | `glutBitmapLength(int font, String string)`
`void` | `glutBitmapString(int font, String string)`
`int` | `glutBitmapWidth(int font, char character)`
`void` | `glutSolidCone(double base, double height, int slices, int stacks)`
`void` | `glutSolidCube(float size)`
`void` | `glutSolidCylinder(double radius, double height, int slices, int stacks)`
`void` | `glutSolidDodecahedron()`
`void` | `glutSolidIcosahedron()`
`void` | `glutSolidOctahedron()`
`void` | `glutSolidRhombicDodecahedron()` This function draws a solid-shaded dodecahedron whose facets are rhombic and whose vertices are at unit radius.
`void` | `glutSolidSphere(double radius, int slices, int stacks)`
`void` | `glutSolidTeapot(double scale)` Renders the teapot as a solid shape of the specified size.
`void` | `glutSolidTeapot(double scale, boolean cStyle)` Renders the teapot as a solid shape of the specified size.
`void` | `glutSolidTetrahedron()`
`void` | `glutSolidTorus(double innerRadius, double outerRadius, int nsides, int rings)`
`void` | `glutStrokeCharacter(int font, char character)`
`int` | `glutStrokeLength(int font, String string)`
`float` | `glutStrokeLengthf(int font, String string)`
`void` | `glutStrokeString(int font, String string)`
`int` | `glutStrokeWidth(int font, char character)`
`float` | `glutStrokeWidthf(int font, char character)`
`void` | `glutWireCone(double base, double height, int slices, int stacks)`
`void` | `glutWireCube(float size)`
`void` | `glutWireCylinder(double radius, double height, int slices, int stacks)`
`void` | `glutWireDodecahedron()`
`void` | `glutWireIcosahedron()`
`void` | `glutWireOctahedron()`
`void` | `glutWireRhombicDodecahedron()` This function draws a wireframe dodecahedron whose facets are rhombic and whose vertices are at unit radius.
`void` | `glutWireSphere(double radius, int slices, int stacks)`
`void` | `glutWireTeapot(double scale)` Renders the teapot as a wireframe shape of the specified size.
`void` | `glutWireTeapot(double scale, boolean cStyle)` Renders the teapot as a wireframe shape of the specified size.
`void` | `glutWireTetrahedron()`
`void` | `glutWireTorus(double innerRadius, double outerRadius, int nsides, int rings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STROKE_ROMAN

    public static final int STROKE_ROMAN

See Also:
  Constant Field Values

### STROKE_MONO_ROMAN

    public static final int STROKE_MONO_ROMAN

See Also:
  Constant Field Values

### BITMAP_9_BY_15

    public static final int BITMAP_9_BY_15

See Also:
  Constant Field Values

### BITMAP_8_BY_13

    public static final int BITMAP_8_BY_13

See Also:
  Constant Field Values

### BITMAP_TIMES_ROMAN_10

    public static final int BITMAP_TIMES_ROMAN_10

See Also:
  Constant Field Values

### BITMAP_TIMES_ROMAN_24

    public static final int BITMAP_TIMES_ROMAN_24

See Also:
  Constant Field Values

### BITMAP_HELVETICA_10

    public static final int BITMAP_HELVETICA_10

See Also:
  Constant Field Values

### BITMAP_HELVETICA_12

    public static final int BITMAP_HELVETICA_12

See Also:
  Constant Field Values

### BITMAP_HELVETICA_18

    public static final int BITMAP_HELVETICA_18

See Also:
  Constant Field Values

Constructor Detail

### GLUT

    public GLUT()

Method Detail

### glutWireSphere

    public void glutWireSphere(double radius,
                               int slices,
                               int stacks)

### glutSolidSphere

    public void glutSolidSphere(double radius,
                                int slices,
                                int stacks)

### glutWireCone

    public void glutWireCone(double base,
                             double height,
                             int slices,
                             int stacks)

### glutSolidCone

    public void glutSolidCone(double base,
                              double height,
                              int slices,
                              int stacks)

### glutWireCylinder

    public void glutWireCylinder(double radius,
                                 double height,
                                 int slices,
                                 int stacks)

### glutSolidCylinder

    public void glutSolidCylinder(double radius,
                                  double height,
                                  int slices,
                                  int stacks)

### glutWireCube

    public void glutWireCube(float size)

### glutSolidCube

    public void glutSolidCube(float size)

### glutWireTorus

    public void glutWireTorus(double innerRadius,
                              double outerRadius,
                              int nsides,
                              int rings)

### glutSolidTorus

    public void glutSolidTorus(double innerRadius,
                               double outerRadius,
                               int nsides,
                               int rings)

### glutWireDodecahedron

    public void glutWireDodecahedron()

### glutSolidDodecahedron

    public void glutSolidDodecahedron()

### glutWireOctahedron

    public void glutWireOctahedron()

### glutSolidOctahedron

    public void glutSolidOctahedron()

### glutWireIcosahedron

    public void glutWireIcosahedron()

### glutSolidIcosahedron

    public void glutSolidIcosahedron()

### glutWireTetrahedron

    public void glutWireTetrahedron()

### glutSolidTetrahedron

    public void glutSolidTetrahedron()

### glutSolidTeapot

    public void glutSolidTeapot(double scale)

  Renders the teapot as a solid shape of the specified size. The teapot is created in a way that replicates the C GLUT implementation.

  Parameters:
    `scale` - the factor by which to scale the teapot

### glutSolidTeapot

    public void glutSolidTeapot(double scale,
                                boolean cStyle)

  Renders the teapot as a solid shape of the specified size. The teapot can either be created in a way that is backward-compatible with the standard C glut library (i.e. broken), or in a more pleasing way (i.e. with surfaces whose front-faces point outwards and standing on the z=0 plane, instead of the y=-1 plane). Both surface normals and texture coordinates for the teapot are generated. The teapot is generated with OpenGL evaluators.

  Parameters:
    `scale` - the factor by which to scale the teapot
    `cStyle` - whether to create the teapot in exactly the same way as in the C implementation of GLUT

### glutWireTeapot

    public void glutWireTeapot(double scale)

  Renders the teapot as a wireframe shape of the specified size. The teapot is created in a way that replicates the C GLUT implementation.

  Parameters:
    `scale` - the factor by which to scale the teapot

### glutWireTeapot

    public void glutWireTeapot(double scale,
                               boolean cStyle)

  Renders the teapot as a wireframe shape of the specified size. The teapot can either be created in a way that is backward-compatible with the standard C glut library (i.e. broken), or in a more pleasing way (i.e. with surfaces whose front-faces point outwards and standing on the z=0 plane, instead of the y=-1 plane). Both surface normals and texture coordinates for the teapot are generated. The teapot is generated with OpenGL evaluators.

  Parameters:
    `scale` - the factor by which to scale the teapot
    `cStyle` - whether to create the teapot in exactly the same way as in the C implementation of GLUT

### glutBitmapCharacter

    public void glutBitmapCharacter(int font,
                                    char character)

### glutBitmapString

    public void glutBitmapString(int font,
                                 String string)

### glutBitmapWidth

    public int glutBitmapWidth(int font,
                               char character)

### glutStrokeCharacter

    public void glutStrokeCharacter(int font,
                                    char character)

### glutStrokeString

    public void glutStrokeString(int font,
                                 String string)

### glutStrokeWidth

    public int glutStrokeWidth(int font,
                               char character)

### glutStrokeWidthf

    public float glutStrokeWidthf(int font,
                                  char character)

### glutBitmapLength

    public int glutBitmapLength(int font,
                                String string)

### glutStrokeLength

    public int glutStrokeLength(int font,
                                String string)

### glutStrokeLengthf

    public float glutStrokeLengthf(int font,
                                   String string)

### glutWireRhombicDodecahedron

    public void glutWireRhombicDodecahedron()

  This function draws a wireframe dodecahedron whose facets are rhombic and whose vertices are at unit radius. No facet lies normal to any coordinate axes. The polyhedron is centered at the origin.

### glutSolidRhombicDodecahedron

    public void glutSolidRhombicDodecahedron()

  This function draws a solid-shaded dodecahedron whose facets are rhombic and whose vertices are at unit radius. No facet lies normal to any coordinate axes. The polyhedron is centered at the origin.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.